Bug 3456 - Serials receipt note
Summary: Serials receipt note
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Julian Maurice
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-29 07:14 UTC by Chris Cormack
Modified: 2013-12-05 19:57 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 3456: Show internalnotes when receiving serials (1.69 KB, patch)
2012-08-22 10:33 UTC, Julian Maurice
Details | Diff | Splinter Review
[Signed off] Bug-3456-Show-internalnotes-when-receiving-serials.patch (1.78 KB, patch)
2012-09-10 22:41 UTC, Melia Meggs
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:10:53 UTC


---- Reported by bchurch@ptfs.com 2009-07-29 19:14:31 ----

Staff would like to be able to enter an internal note which would appear when staff receive serial issues.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:10 UTC  ---

This bug was previously known as _bug_ 3456 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3456

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was bchurch@ptfs.com.

Comment 1 Paul Poulain 2011-08-02 14:01:26 UTC
The non public note already exist, but it does not appear on recieve screen (serials-edit.pl)
It should/could be on the right or below the biblio title
Comment 2 Katrin Fischer 2012-02-19 13:45:02 UTC
I think this can be 2 different functionalities:

1) Display the internal note from the subscription on the serial receive page as Paul suggests. This is not in master.

2) Add an additional internal note for every issue. Currently we have a note on issue level that is displayed in staff and OPAC.

Can I get some opinions on this? Are 1) or 2) or both required behaviour?
Comment 3 Paul Poulain 2012-02-22 14:31:33 UTC
Not sure, but, François, isn't this something we've made for StEtienne ? (displaying the internal note when recieving a serial)
Comment 4 Julian Maurice 2012-08-22 10:33:44 UTC Comment hidden (obsolete)
Comment 5 Melia Meggs 2012-09-10 22:41:42 UTC
Created attachment 12123 [details] [review]
[Signed off] Bug-3456-Show-internalnotes-when-receiving-serials.patch

I followed the test plan and can see the non-public note on the serials receipt screen.  When I deleted the non-public note, it disappeared.  Looks good.
Comment 6 Jonathan Druart 2012-09-12 14:24:37 UTC
QA comments:

Display a new information (internalnotes) on the receipt page.
Simple patch.

Marked as Passed QA.
Comment 7 Paul Poulain 2012-09-13 16:25:15 UTC
Patch pushed to master

I think it can be considered as a minor bugfix, this information is lacking when you recieve a serial
Comment 8 Chris Cormack 2012-09-13 22:43:56 UTC
Pushed to 3.8.x, will be in 3.8.5
Comment 9 Julian Maurice 2012-09-14 13:58:35 UTC
Ok in master and 3.8.x. Marked as RESOLVED.